cmake & curl

Peter Laws

Verified User
Joined
Sep 13, 2008
Messages
1,768
Location
London UK
When installing php 7.4, the pre-install of libzip:
Code:
cmake: /usr/local/lib/libcurl.so.4: no version information available (required by cmake)
Fix it by
Code:
ln -fs /usr/lib/libcurl.so.4 /usr/local/lib/
but CB gives there's an cURL update from 0 to blah

How to fix this?
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
8,755
Location
LT, EU
Ticketing is the best for DA-related issues when you need to get a fast answer :) (it's been 2 days since the starting of this thread)

ln -fs /usr/lib/libcurl.so.4 /usr/local/lib/
This is not a fix.

cmake: /usr/local/lib/libcurl.so.4: no version information available (required by cmake)
It's just a warning, not an error. Did you get a compilation failure? (as it should have succeeded)
 

Peter Laws

Verified User
Joined
Sep 13, 2008
Messages
1,768
Location
London UK
Now I get a new error (Debian 8)
configure: error: Package requirements (oniguruma) were not met:
No package 'oniguruma' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix.
Alternatively, you may set the environment variables ONIG_CFLAGS and ONIG_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
*** There was an error while trying to configure php. Check the configure file
As for tickets, I thought OWNED licenses only got 12 months support? I have used tickets before, surprisingly.
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
8,755
Location
LT, EU
Now I get a new error (Debian 8)

As for tickets, I thought OWNED licenses only got 12 months support? I have used tickets before, surprisingly.
I was unable to reproduce this. Is libonig-dev installed on the system?
 
Top